ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Linker.Dynamic

Contents

- Platform-specifics

Description

Dynamic linker

Synopsis

- linkDynLib :: Logger -> TmpFs -> DynFlags -> UnitEnv -> [String] -> [UnitId] -> IO ()
- libmLinkOpts :: Platform -> [Option]

# Documentation

linkDynLib :: Logger -> TmpFs -> DynFlags -> UnitEnv -> [String] -> [UnitId] -> IO () Source #

# Platform-specifics

libmLinkOpts :: Platform -> [Option] Source #

Some platforms require that we explicitly link against `libm` if any math-y things are used (which we assume to include all programs). See #14022.